If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Bookmarks Toolbar Folder should not be deletable using Ctrl+x

VERIFIED FIXED

Status

()

Firefox
Bookmarks & History
--
critical
VERIFIED FIXED
14 years ago
10 years ago

People

(Reporter: seoulkul, Assigned: vlad)

Tracking

({fixed-aviary1.0})

unspecified
x86
Windows XP
fixed-aviary1.0
Points:
---
Bug Flags:
blocking0.9 -
blocking-aviary1.0 +

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

14 years ago
User-Agent:       
Build Identifier: 

Everytime I try to add a bookmark on any website from either "Add to Bookmarks"
or "Bookmark This Page" Firefox 0.8 will crash. This is a fresh install on
Windows XP  SP1. I have removed the "Bookmark Toolbar Folder" and I'm thinking
this is the main problem. This only happens after I have removed the "Bookmark
Toolbar folder" from the Bookmarks.

Reproducible: Always
Steps to Reproduce:
1.Click on Bookmarks to open "Bookmarks Manager"
2.Highlight "Bookmark Toolbar Folder" and Ctrl-X to remove (this is the only way
I know how to remove that folder, and this worked fine on firebird and phoenix)
3.Close "Bookmarks Manger" head to any website and try and bookmark by either
"Add to Bookmarks" from toolbar or "Bookmark This Page" from right mouse click

Actual Results:  
I get a warning window "firefox.exe: firefox.exe has encountered a problem and
needs to be closed." etc etc

After restart of firebox, "Bookmark Toolbar Folder" is back and hasn't saved my
bookmark.

Expected Results:  
Bookmarked the website and not crashed.

<?xml version="1.0" encoding="UTF-16"?>
<DATABASE>
<EXE NAME="firefox.exe" FILTER="GRABMI_FILTER_PRIVACY">
    <MATCHING_FILE NAME="firefox.exe" SIZE="6750208" CHECKSUM="0x1A9250E2"
BIN_FILE_VERSION="0.8.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="Firefox" COMPANY_NAME="Mozilla"
PRODUCT_NAME="Firefox" FILE_VERSION="0.8" ORIGINAL_FILENAME="firefox.exe"
INTERNAL_NAME="Firefox" LEGAL_COPYRIGHT="Mozilla" VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="0.8.0.0"
UPTO_BIN_PRODUCT_VERSION="0.0.0.0" LINK_DATE="02/07/2004 20:12:02"
UPTO_LINK_DATE="02/07/2004 20:12:02" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="js3250.dll" SIZE="339968" CHECKSUM="0xD9A9628F"
BIN_FILE_VERSION="4.0.0.0" BIN_PRODUCT_VERSION="4.0.0.0" PRODUCT_VERSION="4.0"
FILE_DESCRIPTION="Netscape 32-bit JavaScript Module" COMPANY_NAME="Netscape
Communications Corporation" PRODUCT_NAME="NETSCAPE" FILE_VERSION="4.0"
ORIGINAL_FILENAME="js3240.dll" INTERNAL_NAME="JS3240" LEGAL_COPYRIGHT="Copyright
Netscape Communications. 1994-96" VERFILEDATEHI="0x0" VERFILEDATELO="0x0"
VERFILEOS="0x10004" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0"
LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.0.0.0"
UPTO_BIN_PRODUCT_VERSION="4.0.0.0" LINK_DATE="02/07/2004 01:17:15"
UPTO_LINK_DATE="02/07/2004 01:17:15" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="nspr4.dll" SIZE="155648" CHECKSUM="0x1882D33E"
BIN_FILE_VERSION="4.5.0.0" BIN_PRODUCT_VERSION="4.5.0.0" PRODUCT_VERSION="4.5
Beta" FILE_DESCRIPTION="NSPR Library" COMPANY_NAME="Netscape Communications
Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.5 Beta"
ORIGINAL_FILENAME="nspr4.dll" INTERNAL_NAME="nspr4" LEGAL_COPYRIGHT="Copyright ©
1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.5.0.0"
UPTO_BIN_PRODUCT_VERSION="4.5.0.0" LINK_DATE="02/07/2004 01:13:52"
UPTO_LINK_DATE="02/07/2004 01:13:52" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="nss3.dll" SIZE="344064" CHECKSUM="0x17C1C183"
BIN_FILE_VERSION="3.9.0.0" BIN_PRODUCT_VERSION="3.9.0.0" PRODUCT_VERSION="3.9
Beta 3" FILE_DESCRIPTION="NSS Base Library" COMPANY_NAME="Netscape
Communications Corporation" PRODUCT_NAME="Network Security Services"
FILE_VERSION="3.9 Beta 3" ORIGINAL_FILENAME="nss3.dll" INTERNAL_NAME="nss3"
LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="3.9.0.0" UPTO_BIN_PRODUCT_VERSION="3.9.0.0"
LINK_DATE="02/07/2004 01:31:04" UPTO_LINK_DATE="02/07/2004 01:31:04"
VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="nssckbi.dll" SIZE="176128" CHECKSUM="0x4F734AF0"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0" LINK_DATE="02/07/2004
01:31:19" UPTO_LINK_DATE="02/07/2004 01:31:19" />
    <MATCHING_FILE NAME="plc4.dll" SIZE="28672" CHECKSUM="0x5EDF0163"
BIN_FILE_VERSION="4.5.0.0" BIN_PRODUCT_VERSION="4.5.0.0" PRODUCT_VERSION="4.5
Beta" FILE_DESCRIPTION="PLC Library" COMPANY_NAME="Netscape Communications
Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.5 Beta"
ORIGINAL_FILENAME="plc4.dll" INTERNAL_NAME="plc4" LEGAL_COPYRIGHT="Copyright ©
1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.5.0.0"
UPTO_BIN_PRODUCT_VERSION="4.5.0.0" LINK_DATE="02/07/2004 01:13:56"
UPTO_LINK_DATE="02/07/2004 01:13:56" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="plds4.dll" SIZE="24576" CHECKSUM="0xDDB9139F"
BIN_FILE_VERSION="4.5.0.0" BIN_PRODUCT_VERSION="4.5.0.0" PRODUCT_VERSION="4.5
Beta" FILE_DESCRIPTION="PLDS Library" COMPANY_NAME="Netscape Communications
Corporation" PRODUCT_NAME="Netscape Portable Runtime" FILE_VERSION="4.5 Beta"
ORIGINAL_FILENAME="plds4.dll" INTERNAL_NAME="plds4" LEGAL_COPYRIGHT="Copyright ©
1996-2000 Netscape Communications Corporation" VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="4.5.0.0"
UPTO_BIN_PRODUCT_VERSION="4.5.0.0" LINK_DATE="02/07/2004 01:13:53"
UPTO_LINK_DATE="02/07/2004 01:13:53" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="smime3.dll" SIZE="106496" CHECKSUM="0xDDDF8FC3"
BIN_FILE_VERSION="3.9.0.0" BIN_PRODUCT_VERSION="3.9.0.0" PRODUCT_VERSION="3.9
Beta 3" FILE_DESCRIPTION="NSS S/MIME Library" COMPANY_NAME="Netscape
Communications Corporation" PRODUCT_NAME="Network Security Services"
FILE_VERSION="3.9 Beta 3" ORIGINAL_FILENAME="smime3.dll" INTERNAL_NAME="smime3"
LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape Communications Corporation"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="3.9.0.0" UPTO_BIN_PRODUCT_VERSION="3.9.0.0"
LINK_DATE="02/07/2004 01:31:13" UPTO_LINK_DATE="02/07/2004 01:31:13"
VER_LANGUAGE="English (United States) [0x409]" />
    <MATCHING_FILE NAME="softokn3.dll" SIZE="364544" CHECKSUM="0x4DF5F7C4"
BIN_FILE_VERSION="3.9.0.0" BIN_PRODUCT_VERSION="3.9.0.0" PRODUCT_VERSION="3.9
Beta 3" FILE_DESCRIPTION="NSS PKCS #11 Library" COMPANY_NAME="Netscape
Communications Corporation" PRODUCT_NAME="Network Security Services"
FILE_VERSION="3.9 Beta 3" ORIGINAL_FILENAME="softokn3.dll"
INTERNAL_NAME="softokn3" LEGAL_COPYRIGHT="Copyright © 1994-2001 Netscape
Communications Corporation" VERFILEDATEHI="0x0" VERFILEDATELO="0x0"
VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0"
LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.9.0.0"
UPTO_BIN_PRODUCT_VERSION="3.9.0.0" LINK_DATE="02/07/2004 01:30:52"
UPTO_LINK_DATE="02/07/2004 01:30:52" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="ssl3.dll" SIZE="110592" CHECKSUM="0xAB826DD5"
BIN_FILE_VERSION="3.9.0.0" BIN_PRODUCT_VERSION="3.9.0.0" PRODUCT_VERSION="3.9
Beta 3" FILE_DESCRIPTION="NSS SSL Library" COMPANY_NAME="Netscape Communications
Corporation" PRODUCT_NAME="Network Security Services" FILE_VERSION="3.9 Beta 3"
ORIGINAL_FILENAME="ssl3.dll" INTERNAL_NAME="ssl3" LEGAL_COPYRIGHT="Copyright ©
1994-2001 Netscape Communications Corporation" VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="3.9.0.0"
UPTO_BIN_PRODUCT_VERSION="3.9.0.0" LINK_DATE="02/07/2004 01:31:08"
UPTO_LINK_DATE="02/07/2004 01:31:08" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="xpcom.dll" SIZE="438272" CHECKSUM="0x4B92FFFA"
BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal" ORIGINAL_FILENAME=""
INTERNAL_NAME="xpcom" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0"
LINK_DATE="02/07/2004 01:18:15" UPTO_LINK_DATE="02/07/2004 01:18:15"
VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpcom_compat.dll" SIZE="126976" CHECKSUM="0xA6DFC785"
BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal" ORIGINAL_FILENAME=""
INTERNAL_NAME="xpcom_obsolete" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL
2.1" VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0"
LINK_DATE="02/07/2004 01:18:24" UPTO_LINK_DATE="02/07/2004 01:18:24"
VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpicleanup.exe" SIZE="77824" CHECKSUM="0xEDF9F8C7"
BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal"
ORIGINAL_FILENAME="xpicleanup.exe" INTERNAL_NAME="xpinstall"
LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1" VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0x0" LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="0.0.0.0"
UPTO_BIN_PRODUCT_VERSION="0.0.0.0" LINK_DATE="02/07/2004 01:33:09"
UPTO_LINK_DATE="02/07/2004 01:33:09" VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="xpistub.dll" SIZE="24576" CHECKSUM="0x291161D2"
BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal" ORIGINAL_FILENAME=""
INTERNAL_NAME="xpistub" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0"
LINK_DATE="02/07/2004 01:33:08" UPTO_LINK_DATE="02/07/2004 01:33:08"
VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jar50.dll" SIZE="53248"
CHECKSUM="0x1FF6B1BF" BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal" ORIGINAL_FILENAME=""
INTERNAL_NAME="jar" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0"
LINK_DATE="02/07/2004 01:19:36" UPTO_LINK_DATE="02/07/2004 01:19:36"
VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\jsd3250.dll" SIZE="65536"
CHECKSUM="0x27215359" BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal" ORIGINAL_FILENAME=""
INTERNAL_NAME="jsdebug" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0"
LINK_DATE="02/07/2004 01:33:26" UPTO_LINK_DATE="02/07/2004 01:33:26"
VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="components\xpinstal.dll" SIZE="172032"
CHECKSUM="0x5EB5AB9E" BIN_FILE_VERSION="0.0.0.0" BIN_PRODUCT_VERSION="0.0.0.0"
PRODUCT_VERSION="Personal" FILE_DESCRIPTION="" COMPANY_NAME="Mozilla, Netscape"
PRODUCT_NAME="Mozilla" FILE_VERSION="Personal" ORIGINAL_FILENAME=""
INTERNAL_NAME="xpinstall" LEGAL_COPYRIGHT="License: MPL 1.1/GPL 2.0/LGPL 2.1"
VERFILEDATEHI="0x0" VERFILEDATELO="0x0" VERFILEOS="0x4" VERFILETYPE="0x2"
MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
UPTO_BIN_FILE_VERSION="0.0.0.0" UPTO_BIN_PRODUCT_VERSION="0.0.0.0"
LINK_DATE="02/07/2004 01:33:07" UPTO_LINK_DATE="02/07/2004 01:33:07"
VER_LANGUAGE="Language Neutral [0x0]" />
    <MATCHING_FILE NAME="plugins\GetFlash.exe" SIZE="94208"
CHECKSUM="0x3D8D9FD6" BIN_FILE_VERSION="7.0.19.0" BIN_PRODUCT_VERSION="7.0.19.0"
PRODUCT_VERSION="7,0,19,0" FILE_DESCRIPTION="Macromedia Flash Player Updater 7.0
 r19" COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave Flash Updater"
FILE_VERSION="7,0,19,0" ORIGINAL_FILENAME="GetFlash.exe"
INTERNAL_NAME="Macromedia Flash Player Updater 7.0" LEGAL_COPYRIGHT="Copyright ©
1996-2003 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0"
VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0"
LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.19.0"
UPTO_BIN_PRODUCT_VERSION="7.0.19.0" LINK_DATE="12/08/2003 21:58:21"
UPTO_LINK_DATE="12/08/2003 21:58:21" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="plugins\npnul32.dll" SIZE="32768" CHECKSUM="0x20704F20"
BIN_FILE_VERSION="1.0.0.15" BIN_PRODUCT_VERSION="1.0.0.15" PRODUCT_VERSION="1,
0, 0, 15" FILE_DESCRIPTION="Default Plug-in" COMPANY_NAME="mozilla.org"
PRODUCT_NAME="Mozilla Default Plug-in" FILE_VERSION="1, 0, 0, 15"
ORIGINAL_FILENAME="NPNUL32.DLL" INTERNAL_NAME="DEFPLUGIN"
LEGAL_COPYRIGHT="Copyright © 1995-2000" VERFILEDATEHI="0x0" VERFILEDATELO="0x0"
VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0"
LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="1.0.0.15"
UPTO_BIN_PRODUCT_VERSION="1.0.0.15" LINK_DATE="02/07/2004 01:21:52"
UPTO_LINK_DATE="02/07/2004 01:21:52" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="plugins\NPSWF32.dll" SIZE="827392"
CHECKSUM="0x727FF45E" BIN_FILE_VERSION="7.0.19.0" BIN_PRODUCT_VERSION="7.0.19.0"
PRODUCT_VERSION="7,0,19,0" FILE_DESCRIPTION="Shockwave Flash 7.0  r19"
COMPANY_NAME="Macromedia, Inc." PRODUCT_NAME="Shockwave Flash"
FILE_VERSION="7,0,19,0" ORIGINAL_FILENAME="npswf32.dll"
INTERNAL_NAME="Macromedia Flash Player 7.0" LEGAL_COPYRIGHT="Copyright ©
1996-2003 Macromedia, Inc." VERFILEDATEHI="0x0" VERFILEDATELO="0x0"
VERFILEOS="0x4" VERFILETYPE="0x2" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0"
LINKER_VERSION="0x0" UPTO_BIN_FILE_VERSION="7.0.19.0"
UPTO_BIN_PRODUCT_VERSION="7.0.19.0" LINK_DATE="12/08/2003 22:04:44"
UPTO_LINK_DATE="12/08/2003 22:04:44" VER_LANGUAGE="English (United States)
[0x409]" />
    <MATCHING_FILE NAME="uninstall\UninstallFirefox.exe" SIZE="110592"
CHECKSUM="0xF39F2039" MODULE_TYPE="WIN32" PE_CHECKSUM="0x0" LINKER_VERSION="0x0"
LINK_DATE="02/07/2004 01:33:11" UPTO_LINK_DATE="02/07/2004 01:33:11" />
</EXE>
<EXE NAME="kernel32.dll" FILTER="GRABMI_FILTER_THISFILEONLY">
    <MATCHING_FILE NAME="kernel32.dll" SIZE="930304" CHECKSUM="0xCBCCF8A9"
BIN_FILE_VERSION="5.1.2600.1106" BIN_PRODUCT_VERSION="5.1.2600.1106"
PRODUCT_VERSION="5.1.2600.1106" FILE_DESCRIPTION="Windows NT BASE API Client
DLL" COMPANY_NAME="Microsoft Corporation" PRODUCT_NAME="Microsoft® Windows®
Operating System" FILE_VERSION="5.1.2600.1106 (xpsp1.020828-1920)"
ORIGINAL_FILENAME="kernel32" INTERNAL_NAME="kernel32" LEGAL_COPYRIGHT="©
Microsoft Corporation. All rights reserved." VERFILEDATEHI="0x0"
VERFILEDATELO="0x0" VERFILEOS="0x40004" VERFILETYPE="0x2" MODULE_TYPE="WIN32"
PE_CHECKSUM="0xE7ED3" LINKER_VERSION="0x50001"
UPTO_BIN_FILE_VERSION="5.1.2600.1106" UPTO_BIN_PRODUCT_VERSION="5.1.2600.1106"
LINK_DATE="08/29/2002 10:40:40" UPTO_LINK_DATE="08/29/2002 10:40:40"
VER_LANGUAGE="English (United States) [0x409]" />
</EXE>
</DATABASE>

Comment 1

14 years ago
Reporter : can you launch a new profile of firefox (using firefox -p in a
command line box), and try to see if crash happens without removing personal
toolbar folder ?

Thanks.
(Reporter)

Comment 2

14 years ago
(In reply to comment #1)
> Reporter : can you launch a new profile of firefox (using firefox -p in a
> command line box), and try to see if crash happens without removing personal
> toolbar folder ?
> 
> Thanks.

No the crash is only after the removal of "Bookmarks Toolbar Folder" after I
restart everytime its fine till i once again remove that folder. I don't about
others but I have no need for this folder. 

Comment 3

14 years ago
And what about the new profile?
(Reporter)

Comment 4

14 years ago
the new profile thing works fine, mozilla works fine as long as the "Bookmark
Toolbar Folder" is not removed with or without a new profile. sorry if i wasn't
so clear on this. i'm not so sure if this goes under a new bug, but i will also
add it here. this same thing happens on FreeBSD 5.2 and Firebird same build. 

Comment 5

14 years ago
Are you using any extensions or third party themes? If so, could you please try
disabling them and see if you can delete the folder without problems then?
(Reporter)

Comment 6

14 years ago
i do not have any extensions. i do have flash installed, but this error is the
same with or without flash. on windows xp pro and home with or without sp1 (also
freebsd 5.0-5.2, im writing a bug report on this also) i have tested on a fresh
install with nothing but the basic windows installed, retail and one that came
with one of my computers preinstalled. always the same result.

Comment 7

14 years ago
I did a bit more hunting around...

I still can't reproduce the problem on Windows XP, but it seems that others can.
This is a previously known bug. To prevent this, the Powers that Be decided that
the Bookmarks Toolbar Folder shouldn't be deletable (see bug 231824). Your
ctrl-x trick wasn't meant to be possible ;)

If you wish, you can rename your Bookmarks Toolbar Folder to something else, and
use it for other bookmarks. But there always has to be a folder designated for
that purpose, even if you don't use it for such.

*** This bug has been marked as a duplicate of 231824 ***
Status: UNCONFIRMED → RESOLVED
Last Resolved: 14 years ago
Resolution: --- → DUPLICATE

Comment 8

14 years ago
Sory for the spam. From speaking to Pierre, I shouldn't have duped this bug and
reopened the other one. I'm un-duping this one and restating its summary to
reflect what needs to be fixed.
Status: RESOLVED → UNCONFIRMED
Resolution: DUPLICATE → ---
Summary: "Add to Bookmarks" and "Bookmark This Page" crashes Firefox 0.8 on WinXPsp1 Everytime → Bookmarks Toolbar Folder can be deleted with ctrl-x. Shouldn't be.

Updated

14 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true
Summary: Bookmarks Toolbar Folder can be deleted with ctrl-x. Shouldn't be. → Bookmarks Toolbar Folder should not be deletable using Ctrl+x

Updated

14 years ago
Flags: blocking0.9?
unless there's a patch forthcoming, I don't think this will be fixed for 0.9,
I'd request blocking1.0 though
Flags: blocking0.9? → blocking0.9-

Updated

14 years ago
Flags: blocking1.0?
Flags: blocking1.0? → blocking1.0-

Comment 10

13 years ago
If deleting this folder really does have bad (crashing, exiting, whatever)
effects, then let's make it so you can't delete it. Cutting is a pretty easy and
common operation and this is a pretty bad failurecase for such a common
operation. Requesting reconsideration of blocking status.
Assignee: p_ch → vladimir
Flags: blocking-aviary1.0- → blocking-aviary1.0?
(In reply to comment #10)
> If deleting this folder really does have bad (crashing, exiting, whatever)
> effects, then let's make it so you can't delete it. Cutting is a pretty easy and
> common operation and this is a pretty bad failurecase for such a common
> operation. Requesting reconsideration of blocking status.

You're not supposed to be able to delete this folder (or rather, whatever folder
is set as the Personal Bookmarks Toolbar Folder); the Delete items, etc. are
grayed out.  C-x isn't getting caught; will track it down.
Patch fix in on aviary. (trunk soon)
No longer able to delete the Bookmarks Toolbar Folder with ctrl+x as seen on
0.9+ branch builds from 0726

Comment 14

13 years ago
+'ing even though this is already on the branch, for tracking purposes.
Flags: blocking-aviary1.0? → blocking-aviary1.0+
Fixed trunk/branch.
Status: NEW → RESOLVED
Last Resolved: 14 years ago13 years ago
Resolution: --- → FIXED

Comment 16

13 years ago
(In reply to comment #15)
> Fixed trunk/branch.

Why not just fix it so you can remove the toolbar folder. Firefox is suppose to
be a very open/configurable browser. Making the folder non-deletable is somewhat
microsoftish
(Reporter)

Comment 17

13 years ago
i agree i dont know how complex of a thing that might possible be but i for one
dont need that folder nor wish to have any folders in my bookmarks

Updated

13 years ago
Keywords: fixed-aviary1.0
sorry for bugspam, long-overdue mass reassign of ancient QA contact bugs, filter on "beltznerLovesGoats" to get rid of this mass change
QA Contact: mconnor → bookmarks
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.